.Na "bcp_colptr"
.mc |
.Aa
.Fu
Set the program variable data address for the current copy IN.
.Ih "bcp, set the program variable data address"
.Sy
.Sf "RETCODE bcp_colptr(dbproc, colptr, table_column)"
.Sp "DBPROCESS" "*dbproc"
.Sp "BYTE" "*colptr"
.Sp "int" "table_column"
.Co
.Bl
The \f2bcp_colptr()\f1 function allows you to change the program variable
data address for a particular column while running a copy IN via
calls to \f2bcp_bind().\f1
.Bl
Initially, the program variable data address is determined when
\f2bcp_bind()\f1 is called. If the program variable data address changes
between calls to \f2bcp_sendrow(),\f1 you may call \f2bcp_colptr()\f1 to reset
the address of the data.  The next call to \f2bcp_sendrow()\f1 will use
the data at the address you just set.
.Bl
There must be a separate \f2bcp_colptr()\f1 call for every column in
the table whose data address you want to modify.
.Bl
For information on the \f2bcp\f1 utility program, see its manual page
in the \f2Commands Reference\f1.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.Pi colptr 
The address of the program variable.
.Pi table_column 
The column in the \*S table to which the data will
be copied. Column numbers start at 1.
.in -.375i
.Re
.br
SUCCEED or FAIL.
.Sa
bcp_bind, 
bcp_collen, 
bcp_sendrow
.mc
