.Na "bcp_columns"
.mc |
.Aa
.Fu
Set the total number of columns found in the host file.
.Ih "bcp, set number of columns in host file"
.Sy
.Sf "RETCODE bcp_columns(dbproc, host_colcount)"
.Sp "DBPROCESS" "*dbproc"
.Sp "int" "host_colcount"
.Co
.Bl
This function sets the total number of columns found in a
host file for use with bulk copy. This routine may
be called only after \f2bcp_init()\f1 has been called with a valid
file name.
.Bl
You should call this routine only if you intend to use a host file
format that differs from the default. The default host file format
is described on the \f2bcp_init()\f1 manual page.
.Bl
After calling \f2bcp_columns()\f1, you must call \f2bcp_colfmt()\f1 \f2host_colcount\f1
times, because you are defining a completely custom file format.
.Bl
For information on the \f2bcp\f1 utility program, see its manual page
in the \f2Commands Reference\f1.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.Pi host_colcount
The total number of columns in the host file. Even if
you are preparing to bulk copy data from the host file
to a \*S table and do not intend to copy all
columns in the host file, you must still set \f2host_colcount\f1
to the total number of host file columns.
.in -.375i
.Re
.br
SUCCEED or FAIL.
.Sa
bcp_colfmt,
bcp_init
.mc
