.Na "start_xact" 
.Aa
.Fu
Start a distributed transaction using the commit service.
.Ih "distributed transaction, start"
.Sy
.Sf "DBINT start_xact(connect, application_name, xact_name, site_count)
.Sp "DBPROCESS" "*connect"
.Sp "char" "*application_name"
.Sp "char" "*xact_name"
.Sp "int" "site_count"
.Co
.Bl
This routine records the start of a distributed transaction with the
commit service.
A record is placed in the commit service containing
the \f2commid\fP, which is a number that caller subsequently uses to
identify the transaction to the commit service.
.Bz
.Pa
.Pi connect
A pointer to the DBPROCESS used to communicate with the commit service.
.Pi application_name
The name of the application. This name can be anything the application
chooses. It will appear in the table maintained by the commit service
but is not used by the commit service or the \*S recovery system.
.Pi xact_name
The name of the transaction. 
This name will appear in the table maintained by the commit service and
must be supplied as part of the transaction name string built by 
\f2build_xact_string()\fP.
The name cannot contain a period (``.'') or a colon (``:'').
.Pi site_count
The number of sites participating in the transaction.
.in -.375i
.Re
.br
An integer called the \f2commid\fP. This number is used to identify the
transaction in subsequent calls to the commit service.
In case of error, this routine will return 0.
.Sa
abort_xact,
build_xact_string,
commit_xact,
remove_xact,
scan_xact,
stat_xact
